package com.heyu.api.data.entity.vv;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*逆向子单表
* @author quyixiao
* @since 2025-08-27
*/

@Data
@TableName("vv_reverse_order_line")
public class VvReverseOrderLineEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.vv.VvReverseOrderLineEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                                     // 
    public final static String is_delete = CLASS_NAME + "is_delete";                        // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";                    // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";                    // 修改时间
    public final static String reverse_order_id = CLASS_NAME + "reverse_order_id";          // 逆向信息
    public final static String trade_order_id = CLASS_NAME + "trade_order_id";              // 订单id
    public final static String trade_order_line_id = CLASS_NAME + "trade_order_line_id";    // 子单id
    public final static String refund_amount = CLASS_NAME + "refund_amount";                // 退款金额
    public final static String seller_id = CLASS_NAME + "seller_id";                        // 卖家id
    public final static String seller_name = CLASS_NAME + "seller_name";                    // 卖家名称
    public final static String product_name = CLASS_NAME + "product_name";                  // 商品名称
    public final static String sku_image_url = CLASS_NAME + "sku_image_url";                // sku 图片
    public final static String product_id = CLASS_NAME + "product_id";                      // 商品id
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //逆向信息
    private Long reverseOrderId;
    //订单id
    private Long tradeOrderId;
    //子单id
    private Long tradeOrderLineId;
    //退款金额
    private BigDecimal refundAmount;
    //卖家id
    private Long sellerId;
    //卖家名称
    private String sellerName;
    //商品名称
    private String productName;
    //sku 图片
    private String skuImageUrl;
    //商品id
    private Long productId;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 逆向信息 
     * @return
     */
    public Long getReverseOrderId() {
        return reverseOrderId;
    }
    /**
     * 逆向信息 
     * @param reverseOrderId
     */
    public void setReverseOrderId(Long reverseOrderId) {
        this.reverseOrderId = reverseOrderId;
    }

    /**
     * 订单id 
     * @return
     */
    public Long getTradeOrderId() {
        return tradeOrderId;
    }
    /**
     * 订单id 
     * @param tradeOrderId
     */
    public void setTradeOrderId(Long tradeOrderId) {
        this.tradeOrderId = tradeOrderId;
    }

    /**
     * 子单id 
     * @return
     */
    public Long getTradeOrderLineId() {
        return tradeOrderLineId;
    }
    /**
     * 子单id 
     * @param tradeOrderLineId
     */
    public void setTradeOrderLineId(Long tradeOrderLineId) {
        this.tradeOrderLineId = tradeOrderLineId;
    }

    /**
     * 退款金额 
     * @return
     */
    public BigDecimal getRefundAmount() {
        return refundAmount;
    }
    /**
     * 退款金额 
     * @param refundAmount
     */
    public void setRefundAmount(BigDecimal refundAmount) {
        this.refundAmount = refundAmount;
    }

    /**
     * 卖家id 
     * @return
     */
    public Long getSellerId() {
        return sellerId;
    }
    /**
     * 卖家id 
     * @param sellerId
     */
    public void setSellerId(Long sellerId) {
        this.sellerId = sellerId;
    }

    /**
     * 卖家名称 
     * @return
     */
    public String getSellerName() {
        return sellerName;
    }
    /**
     * 卖家名称 
     * @param sellerName
     */
    public void setSellerName(String sellerName) {
        this.sellerName = sellerName;
    }

    /**
     * 商品名称 
     * @return
     */
    public String getProductName() {
        return productName;
    }
    /**
     * 商品名称 
     * @param productName
     */
    public void setProductName(String productName) {
        this.productName = productName;
    }

    /**
     * sku 图片 
     * @return
     */
    public String getSkuImageUrl() {
        return skuImageUrl;
    }
    /**
     * sku 图片 
     * @param skuImageUrl
     */
    public void setSkuImageUrl(String skuImageUrl) {
        this.skuImageUrl = skuImageUrl;
    }

    /**
     * 商品id 
     * @return
     */
    public Long getProductId() {
        return productId;
    }
    /**
     * 商品id 
     * @param productId
     */
    public void setProductId(Long productId) {
        this.productId = productId;
    }

    @Override
    public String toString() {
        return "VvReverseOrderLineEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",reverseOrderId=" + reverseOrderId +
                ",tradeOrderId=" + tradeOrderId +
                ",tradeOrderLineId=" + tradeOrderLineId +
                ",refundAmount=" + refundAmount +
                ",sellerId=" + sellerId +
                ",sellerName=" + sellerName +
                ",productName=" + productName +
                ",skuImageUrl=" + skuImageUrl +
                ",productId=" + productId +
                "}";
    }
}